steps:
  - name: playwright tests
    image: registry.odit.services/hub/library/node:19.5.0-alpine3.16
    commands:
      - npm config set registry $NPM_REGISTRY_URL && npm i -g pnpm@8.0.0
      - pnpm i
      - pnpm test:ci
    secrets:
      - source: odit-npm-cache-url
        target: NPM_REGISTRY_URL
when:
  event:
    - pull_request
